Loading...
Searching...
No Matches
nforder_ideal Class Reference

`#include <nforder_ideal.h>`

## Public Member Functions

| nforder_ideal ()
| 0 Konstruktoren/Destruktoren ///
void | init ()
| nforder_ideal (bigintmat *basis, number *min, number *min_den, number *norm, number *norm_den, const coeffs ord)
| nforder_ideal (bigintmat *basis, const coeffs q)
| nforder_ideal (nforder_ideal *i, int)
| ~nforder_ideal ()
void | Write ()
char * | String ()
void | Print ()
number | getNorm ()
number | getNormDen ()
number | getMin ()
number | getMinDen ()
coeffs | order () const
bigintmat * | viewBasis ()
bigintmat * | getBasis ()
number | viewBasisDen ()
int | isFractional ()
void | setMinTransfer (number a, number b)
void | setNormTransfer (number a, number b)
number | viewNorm ()
number | viewMin ()
void | setBasisDenTransfer (number a)

## Private Attributes

number | norm
number | norm_den
number | min
number | min_den
coeffs | ord
bigintmat * | basis
number | den

## Detailed Description

Definition at line 11 of file nforder_ideal.h.

## Constructor & Destructor Documentation

## nforder_ideal() [1/4]

nforder_ideal::nforder_ideal | ( |  | ) |

0 Konstruktoren/Destruktoren ///

## nforder_ideal() [2/4]

nforder_ideal::nforder_ideal | ( | bigintmat * | basis,
|  | number * | min,
|  | number * | min_den,
|  | number * | norm,
|  | number * | norm_den,
|  | const coeffs | ord )

## nforder_ideal() [3/4]

nforder_ideal::nforder_ideal | ( | bigintmat * | basis,
|  | const coeffs | q )

Definition at line 21 of file nforder_ideal.cc.

{
init();
ord = O;
basis = new bigintmat(_basis);
}
nforder_ideal::ord
coeffs ord
Definition nforder_ideal.h:18
nforder_ideal::basis
bigintmat * basis
Definition nforder_ideal.h:19
nforder_ideal::init
void init()
Definition nforder_ideal.cc:17

## nforder_ideal() [4/4]

nforder_ideal::nforder_ideal | ( | nforder_ideal * | i,
|  | int | )

Definition at line 27 of file nforder_ideal.cc.

{
init();
ord = I->ord;
coeffs C = ((nforder *)ord->data)->basecoeffs();
basis = new bigintmat(I->basis);
if (I->den) {
den = n_Copy(I->den, C);
}
if (I->norm) {
norm = n_Copy(I->norm, C);
norm_den = n_Copy(I->norm_den, C);
}
if (I->min) {
min = n_Copy(I->min, C);
min_den = n_Copy(I->min_den, C);
}
}
nforder_ideal::min_den
number min_den
Definition nforder_ideal.h:17
nforder_ideal::den
number den
Definition nforder_ideal.h:20
nforder_ideal::min
number min
Definition nforder_ideal.h:17
nforder_ideal::norm_den
number norm_den
Definition nforder_ideal.h:17
nforder_ideal::norm
number norm
Definition nforder_ideal.h:17
n_Copy
static FORCE_INLINE number n_Copy(number n, const coeffs r)
return a copy of 'n'
Definition coeffs.h:457

## ~nforder_ideal()

nforder_ideal::~nforder_ideal | ( |  | ) |

Definition at line 86 of file nforder_ideal.cc.

{
if (basis) delete basis;
coeffs C = ((nforder *)ord->data)->basecoeffs();
if (den) n_Delete(&den, C);
if (norm) {
n_Delete(&norm, C);
n_Delete(&norm_den, C);
}
if (min) {
n_Delete(&min, C);
n_Delete(&min_den, C);
}
}
n_Delete
static FORCE_INLINE void n_Delete(number *p, const coeffs r)
delete 'p'
Definition coeffs.h:461

## Member Function Documentation

## getBasis()

bigintmat * nforder_ideal::getBasis | ( |  | ) |

inline

Definition at line 47 of file nforder_ideal.h.

{return new bigintmat(basis);};

## getMin()

number nforder_ideal::getMin | ( |  | ) |

## getMinDen()

number nforder_ideal::getMinDen | ( |  | ) |

## getNorm()

number nforder_ideal::getNorm | ( |  | ) |

## getNormDen()

number nforder_ideal::getNormDen | ( |  | ) |

## init()

void nforder_ideal::init | ( |  | ) |

Definition at line 17 of file nforder_ideal.cc.

{
memset(this, 0, sizeof(nforder_ideal));
}
nforder_ideal::nforder_ideal
nforder_ideal()
0 Konstruktoren/Destruktoren ///

## isFractional()

int nforder_ideal::isFractional | ( |  | ) |

inline

Definition at line 49 of file nforder_ideal.h.

{return den!=NULL;};
NULL
#define NULL
Definition omList.c:12

## order()

coeffs nforder_ideal::order | ( |  | ) | const

inline

Definition at line 45 of file nforder_ideal.h.

{ return ord; }

## Print()

void nforder_ideal::Print | ( |  | ) |

Definition at line 79 of file nforder_ideal.cc.

{
char * s = String();
PrintS(s);
PrintS("\n");
omFree(s);
}
nforder_ideal::String
char * String()
Definition nforder_ideal.cc:74
s
const CanonicalForm int s
Definition facAbsFact.cc:51
omFree
#define omFree(addr)
Definition omAllocDecl.h:261
PrintS
void PrintS(const char *s)
Definition reporter.cc:288

## setBasisDenTransfer()

void nforder_ideal::setBasisDenTransfer | ( | number | a | ) |

inline

Definition at line 54 of file nforder_ideal.h.

{den = a;}

## setMinTransfer()

void nforder_ideal::setMinTransfer | ( | number | a,
|  | number | b )

inline

Definition at line 50 of file nforder_ideal.h.

{min = a; min_den = b;}
b
CanonicalForm b
Definition cfModGcd.cc:4111

## setNormTransfer()

void nforder_ideal::setNormTransfer | ( | number | a,
|  | number | b )

inline

Definition at line 51 of file nforder_ideal.h.

{norm = a; norm_den = b;}

## String()

char * nforder_ideal::String | ( |  | ) |

Definition at line 74 of file nforder_ideal.cc.

{
StringSetS("");
Write();
return StringEndS();
}
nforder_ideal::Write
void Write()
Definition nforder_ideal.cc:45
StringSetS
void StringSetS(const char *st)
Definition reporter.cc:128
StringEndS
char * StringEndS()
Definition reporter.cc:151

## viewBasis()

bigintmat * nforder_ideal::viewBasis | ( |  | ) |

inline

Definition at line 46 of file nforder_ideal.h.

{return basis;};

## viewBasisDen()

number nforder_ideal::viewBasisDen | ( |  | ) |

inline

Definition at line 48 of file nforder_ideal.h.

{return den;};

## viewMin()

number nforder_ideal::viewMin | ( |  | ) |

inline

Definition at line 53 of file nforder_ideal.h.

{ return norm;};

## viewNorm()

number nforder_ideal::viewNorm | ( |  | ) |

inline

Definition at line 52 of file nforder_ideal.h.

{ return norm;};

## Write()

void nforder_ideal::Write | ( |  | ) |

Definition at line 45 of file nforder_ideal.cc.

{
coeffs C = ((nforder *)ord->data)->basecoeffs();
if (isFractional()) {
StringAppendS("Fractional ");
}
StringAppend("Ideal with basis:\n");
basis->Write();
if (isFractional()) {
number d;
StringAppend(" / ");
n_Write((d = viewBasisDen()), C);
}
StringAppendS("\n");
if (norm) {
StringAppendS("and norm ");
n_Write(norm, C);
StringAppendS(" / ");
n_Write(norm_den, C);
StringAppendS(" ");
}
if (min) {
StringAppendS("and min ");
n_Write(min, C);
StringAppendS(" / ");
n_Write(min_den, C);
StringAppendS(" ");
}
}
nforder_ideal::isFractional
int isFractional()
Definition nforder_ideal.h:49
nforder_ideal::viewBasisDen
number viewBasisDen()
Definition nforder_ideal.h:48
n_Write
static FORCE_INLINE void n_Write(number n, const coeffs r, const BOOLEAN bShortOut=TRUE)
Definition coeffs.h:594
StringAppend
#define StringAppend
Definition emacs.cc:79
StringAppendS
void StringAppendS(const char *st)
Definition reporter.cc:107

## Field Documentation

## basis

bigintmat* nforder_ideal::basis

private

Definition at line 19 of file nforder_ideal.h.

## den

number nforder_ideal::den

private

Definition at line 20 of file nforder_ideal.h.

## min

number nforder_ideal::min

private

Definition at line 17 of file nforder_ideal.h.

## min_den

number nforder_ideal::min_den

private

Definition at line 17 of file nforder_ideal.h.

## norm

number nforder_ideal::norm

private

Definition at line 17 of file nforder_ideal.h.

## norm_den

number nforder_ideal::norm_den

private

Definition at line 17 of file nforder_ideal.h.

## ord

coeffs nforder_ideal::ord

private

Definition at line 18 of file nforder_ideal.h.

The documentation for this class was generated from the following files:

- Singular/dyn_modules/Order/nforder_ideal.h
- Singular/dyn_modules/Order/nforder_ideal.cc